commit 900de4f4be768a4a199cb856311c7e43ab4e506a
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Nov 11 20:19:14 2022 +0100

    release 1.27.0

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 670e86480d55eb3673caee0b0d1bfa022bd93f98
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:10 2022 +0100

    tx: sync with transifex

 po/af.po          |  46 ++++++-------
 po/am.po          |  46 ++++++-------
 po/an.po          |  46 ++++++-------
 po/ar.po          |  46 ++++++-------
 po/as.po          |  46 ++++++-------
 po/ast.po         |  46 ++++++-------
 po/az.po          |  46 ++++++-------
 po/be.po          |  46 ++++++-------
 po/bg.po          |  46 ++++++-------
 po/bn.po          |  46 ++++++-------
 po/bn_IN.po       |  46 ++++++-------
 po/br.po          |  46 ++++++-------
 po/bs.po          |  46 ++++++-------
 po/ca.po          |  52 +++++++--------
 po/ca@valencia.po |  46 ++++++-------
 po/cmn.po         |  46 ++++++-------
 po/crh.po         |  46 ++++++-------
 po/cs.po          |  48 +++++++-------
 po/cy.po          |  46 ++++++-------
 po/da.po          |  54 +++++++--------
 po/de.po          |  46 ++++++-------
 po/dz.po          |  46 ++++++-------
 po/el.po          |  48 +++++++-------
 po/en_AU.po       |  46 ++++++-------
 po/en_CA.po       |  46 ++++++-------
 po/en_GB.po       |  46 ++++++-------
 po/eo.po          |  46 ++++++-------
 po/es.po          |  52 ++++++++-------
 po/es_AR.po       |  50 +++++++-------
 po/es_CL.po       |  52 ++++++++-------
 po/es_CO.po       |  50 +++++++-------
 po/es_CR.po       |  50 +++++++-------
 po/es_DO.po       |  50 +++++++-------
 po/es_EC.po       |  50 +++++++-------
 po/es_ES.po       |  50 +++++++-------
 po/es_MX.po       |  50 +++++++-------
 po/es_NI.po       |  50 +++++++-------
 po/es_PA.po       |  50 +++++++-------
 po/es_PE.po       |  50 +++++++-------
 po/es_PR.po       |  50 +++++++-------
 po/es_SV.po       |  50 +++++++-------
 po/es_UY.po       |  50 +++++++-------
 po/es_VE.po       |  50 +++++++-------
 po/et.po          |  46 ++++++-------
 po/eu.po          |  46 ++++++-------
 po/fa.po          |  46 ++++++-------
 po/fi.po          |  46 ++++++-------
 po/fr.po          |  54 +++++++--------
 po/fr_CA.po       |  50 +++++++-------
 po/frp.po         |  46 ++++++-------
 po/fur.po         |  46 ++++++-------
 po/fy.po          |  46 ++++++-------
 po/ga.po          |  46 ++++++-------
 po/gd.po          |  46 ++++++-------
 po/gl.po          |  46 ++++++-------
 po/gu.po          |  46 ++++++-------
 po/ha.po          |  46 ++++++-------
 po/he.po          |  46 ++++++-------
 po/hi.po          |  46 ++++++-------
 po/hr.po          |  46 ++++++-------
 po/hu.po          |  46 ++++++-------
 po/hy.po          |  46 ++++++-------
 po/ia.po          |  46 ++++++-------
 po/id.po          |  46 ++++++-------
 po/ie.po          |  46 ++++++-------
 po/ig.po          |  46 ++++++-------
 po/is.po          |  46 ++++++-------
 po/it.po          | 191 +++++++++++++++++++++++++++---------------------------
 po/ja.po          |  48 +++++++-------
 po/jv.po          |  46 ++++++-------
 po/ka.po          |  46 ++++++-------
 po/kab.po         |  46 ++++++-------
 po/kk.po          |  46 ++++++-------
 po/kn.po          |  46 ++++++-------
 po/ko.po          |  48 +++++++-------
 po/ks.po          |  46 ++++++-------
 po/ku.po          |  46 ++++++-------
 po/ku_IQ.po       |  46 ++++++-------
 po/ky.po          |  46 ++++++-------
 po/la.po          |  46 ++++++-------
 po/li.po          |  46 ++++++-------
 po/lo.po          |  46 ++++++-------
 po/lt.po          |  46 ++++++-------
 po/lv.po          |  46 ++++++-------
 po/mai.po         |  46 ++++++-------
 po/mg.po          |  46 ++++++-------
 po/mi.po          |  46 ++++++-------
 po/mk.po          |  46 ++++++-------
 po/ml.po          |  46 ++++++-------
 po/mn.po          |  46 ++++++-------
 po/mr.po          |  46 ++++++-------
 po/ms.po          |  46 ++++++-------
 po/nb.po          |  56 ++++++++--------
 po/nds.po         |  46 ++++++-------
 po/ne.po          |  46 ++++++-------
 po/nl.po          |  46 ++++++-------
 po/nn.po          |  46 ++++++-------
 po/nso.po         |  46 ++++++-------
 po/oc.po          |  90 ++++++++++++++++---------
 po/or.po          |  48 +++++++-------
 po/pa.po          |  46 ++++++-------
 po/pl.po          |  50 +++++++-------
 po/pms.po         |  46 ++++++-------
 po/ps.po          |  48 +++++++-------
 po/pt.po          |  52 ++++++++-------
 po/pt_BR.po       |  50 +++++++-------
 po/ro.po          |  48 +++++++-------
 po/ru.po          |  57 ++++++++--------
 po/rw.po          |  46 ++++++-------
 po/sc.po          |  46 ++++++-------
 po/si.po          |  46 ++++++-------
 po/sk.po          |  46 ++++++-------
 po/sl.po          |  61 ++++++++---------
 po/sq.po          |  52 +++++++--------
 po/sr.po          |  46 ++++++-------
 po/sr@latin.po    |  46 ++++++-------
 po/sv.po          |  46 ++++++-------
 po/ta.po          |  46 ++++++-------
 po/te.po          |  46 ++++++-------
 po/th.po          |  46 ++++++-------
 po/tk.po          |  46 ++++++-------
 po/tr.po          |  98 ++++++++++++++--------------
 po/tt.po          |  46 ++++++-------
 po/ug.po          |  46 ++++++-------
 po/uk.po          |  67 +++++++++----------
 po/ur.po          |  46 ++++++-------
 po/ur_PK.po       |  46 ++++++-------
 po/uz.po          |  46 ++++++-------
 po/vi.po          |  46 ++++++-------
 po/wa.po          |  46 ++++++-------
 po/xh.po          |  46 ++++++-------
 po/yi.po          |  46 ++++++-------
 po/yo.po          |  46 ++++++-------
 po/zh_CN.po       | 142 ++++++++++++++++++++--------------------
 po/zh_HK.po       |  46 ++++++-------
 po/zh_TW.po       |  46 ++++++-------
 po/zu.po          |  46 ++++++-------
 137 files changed, 3450 insertions(+), 3374 deletions(-)

commit 1e31ba277653952a027c8916fac75f981fdf85b4
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 mate-session-manager.pot | 74 ++++++++++++++++++++++++------------------------
 1 file changed, 37 insertions(+), 37 deletions(-)

commit ea0b15813fbd96f2e028acf3cc2aba38165ad333
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:54:28 2022 +0200

    tx: migrate config file

 .tx/config                    | 13 +++++++------
 .tx/config_20221028215427.bak |  9 +++++++++
 2 files changed, 16 insertions(+), 6 deletions(-)

commit 44b48ccd3823b17987439164d76a135f7c664942
Author: Robert Antoni Buj Gelonch <rbuj@users.noreply.github.com>
Date:   Sat Aug 20 02:19:30 2022 +0200

    Fix memory leaks (#284)

 tools/mate-session-check-accelerated-gl-helper.c   | 1 +
 tools/mate-session-check-accelerated-gles-helper.c | 2 ++
 tools/mate-session-check-accelerated.c             | 1 +
 3 files changed, 4 insertions(+)

commit 52562f5c4a9ff7189618b946ad3e2913bbf95acf
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Jun 1 09:55:08 2022 +0200

    build warning: AC_OUTPUT should be used without arguments

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3b6af94770fe40b4c3ba5fd031f25dbe604827c2
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 13 20:19:15 2022 +0100

    ci: drop -Wunused-parameter compiler cflag from debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af8ed3f669480ed03b0b1e47acf58962b6184e43
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 18:10:58 2021 +0200

    Use a blank line at most

 capplet/gsm-properties-dialog.c   | 3 ---
 capplet/gsp-app-manager.c         | 1 -
 capplet/gsp-app.c                 | 3 ---
 mate-session/gs-idle-monitor.h    | 1 -
 mate-session/gsm-autostart-app.c  | 1 -
 mate-session/gsm-client.c         | 1 -
 mate-session/gsm-client.h         | 2 --
 mate-session/gsm-consolekit.c     | 3 ---
 mate-session/gsm-dbus-client.c    | 1 -
 mate-session/gsm-inhibit-dialog.c | 2 --
 mate-session/gsm-manager.c        | 6 ------
 mate-session/gsm-manager.h        | 2 --
 mate-session/gsm-store.c          | 1 -
 mate-session/gsm-store.h          | 1 -
 mate-session/gsm-systemd.c        | 2 --
 mate-session/gsm-util.c           | 1 -
 mate-session/gsm-xsmp-client.c    | 5 -----
 mate-session/gsm-xsmp-client.h    | 1 -
 mate-session/gsm-xsmp-server.c    | 1 -
 mate-session/gsm-xsmp-server.h    | 1 -
 mate-session/mdm-signal-handler.c | 1 -
 mate-session/msm-gnome.c          | 6 ------
 22 files changed, 46 deletions(-)

commit 34aafe51a3b610a1f3b957b92141f49574e833d5
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 10:35:58 2021 +0200

    release 1.26.0

 NEWS         | 17 +++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit 543871582ddb60758bde71c9468faa55c99ae0b3
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 10:22:51 2021 +0200

    tx: sync with transifex

 po/LINGUAS        |   1 +
 po/af.po          | 220 ++++++++++---------
 po/am.po          | 240 +++++++++++----------
 po/an.po          | 220 ++++++++++---------
 po/ar.po          | 220 ++++++++++---------
 po/as.po          | 220 ++++++++++---------
 po/ast.po         | 220 ++++++++++---------
 po/az.po          | 220 ++++++++++---------
 po/be.po          | 220 ++++++++++---------
 po/bg.po          | 242 +++++++++++----------
 po/bn.po          | 220 ++++++++++---------
 po/bn_IN.po       | 220 ++++++++++---------
 po/br.po          | 240 +++++++++++----------
 po/bs.po          | 220 ++++++++++---------
 po/ca.po          | 248 +++++++++++-----------
 po/ca@valencia.po | 240 +++++++++++----------
 po/cmn.po         | 220 ++++++++++---------
 po/crh.po         | 220 ++++++++++---------
 po/cs.po          | 244 +++++++++++----------
 po/cy.po          | 220 ++++++++++---------
 po/da.po          | 240 +++++++++++----------
 po/de.po          | 240 +++++++++++----------
 po/dz.po          | 220 ++++++++++---------
 po/el.po          | 242 +++++++++++----------
 po/en_AU.po       | 240 +++++++++++----------
 po/en_CA.po       | 220 ++++++++++---------
 po/en_GB.po       | 259 +++++++++++------------
 po/eo.po          | 220 ++++++++++---------
 po/es.po          | 250 +++++++++++-----------
 po/es_AR.po       | 220 ++++++++++---------
 po/es_CL.po       | 220 ++++++++++---------
 po/es_CO.po       | 220 ++++++++++---------
 po/es_CR.po       | 220 ++++++++++---------
 po/es_DO.po       | 222 ++++++++++----------
 po/es_EC.po       | 220 ++++++++++---------
 po/es_ES.po       | 220 ++++++++++---------
 po/es_MX.po       | 220 ++++++++++---------
 po/es_NI.po       | 220 ++++++++++---------
 po/es_PA.po       | 220 ++++++++++---------
 po/es_PE.po       | 220 ++++++++++---------
 po/es_PR.po       | 220 ++++++++++---------
 po/es_SV.po       | 220 ++++++++++---------
 po/es_UY.po       | 220 ++++++++++---------
 po/es_VE.po       | 220 ++++++++++---------
 po/et.po          | 220 ++++++++++---------
 po/eu.po          | 220 ++++++++++---------
 po/fa.po          | 220 ++++++++++---------
 po/fi.po          | 240 +++++++++++----------
 po/fr.po          | 255 +++++++++++-----------
 po/fr_CA.po       | 220 ++++++++++---------
 po/frp.po         | 220 ++++++++++---------
 po/fur.po         | 220 ++++++++++---------
 po/fy.po          | 220 ++++++++++---------
 po/ga.po          | 220 ++++++++++---------
 po/gd.po          | 220 ++++++++++---------
 po/gl.po          | 246 +++++++++++-----------
 po/gu.po          | 220 ++++++++++---------
 po/ha.po          | 220 ++++++++++---------
 po/he.po          | 241 +++++++++++----------
 po/hi.po          | 220 ++++++++++---------
 po/hr.po          | 242 +++++++++++----------
 po/hu.po          | 258 +++++++++++------------
 po/hy.po          | 240 +++++++++++----------
 po/ia.po          | 220 ++++++++++---------
 po/id.po          | 244 +++++++++++----------
 po/ie.po          | 244 +++++++++++----------
 po/ig.po          | 220 ++++++++++---------
 po/is.po          | 220 ++++++++++---------
 po/it.po          | 244 +++++++++++----------
 po/ja.po          | 265 ++++++++++++-----------
 po/jv.po          | 220 ++++++++++---------
 po/ka.po          | 220 ++++++++++---------
 po/kab.po         | 230 ++++++++++----------
 po/kk.po          | 220 ++++++++++---------
 po/kn.po          | 220 ++++++++++---------
 po/ko.po          | 253 +++++++++++-----------
 po/ks.po          | 220 ++++++++++---------
 po/ku.po          | 220 ++++++++++---------
 po/ku_IQ.po       | 220 ++++++++++---------
 po/ky.po          | 220 ++++++++++---------
 po/la.po          | 616 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/li.po          | 220 ++++++++++---------
 po/lo.po          | 220 ++++++++++---------
 po/lt.po          | 244 +++++++++++----------
 po/lv.po          | 220 ++++++++++---------
 po/mai.po         | 220 ++++++++++---------
 po/mg.po          | 220 ++++++++++---------
 po/mi.po          | 220 ++++++++++---------
 po/mk.po          | 220 ++++++++++---------
 po/ml.po          | 220 ++++++++++---------
 po/mn.po          | 220 ++++++++++---------
 po/mr.po          | 220 ++++++++++---------
 po/ms.po          | 244 +++++++++++----------
 po/nb.po          | 244 +++++++++++----------
 po/nds.po         | 220 ++++++++++---------
 po/ne.po          | 220 ++++++++++---------
 po/nl.po          | 254 +++++++++++-----------
 po/nn.po          | 220 ++++++++++---------
 po/nso.po         | 220 ++++++++++---------
 po/oc.po          | 262 +++++++++++------------
 po/or.po          | 220 ++++++++++---------
 po/pa.po          | 220 ++++++++++---------
 po/pl.po          | 253 +++++++++++-----------
 po/pms.po         | 220 ++++++++++---------
 po/ps.po          | 220 ++++++++++---------
 po/pt.po          | 256 +++++++++++------------
 po/pt_BR.po       | 240 +++++++++++----------
 po/ro.po          | 240 +++++++++++----------
 po/ru.po          | 242 +++++++++++----------
 po/rw.po          | 220 ++++++++++---------
 po/sc.po          | 220 ++++++++++---------
 po/si.po          | 220 ++++++++++---------
 po/sk.po          | 240 +++++++++++----------
 po/sl.po          | 220 ++++++++++---------
 po/sq.po          | 220 ++++++++++---------
 po/sr.po          | 218 +++++++++----------
 po/sr@latin.po    | 220 ++++++++++---------
 po/sv.po          | 247 +++++++++++-----------
 po/ta.po          | 220 ++++++++++---------
 po/te.po          | 220 ++++++++++---------
 po/th.po          | 220 ++++++++++---------
 po/tk.po          | 220 ++++++++++---------
 po/tr.po          | 240 +++++++++++----------
 po/tt.po          | 220 ++++++++++---------
 po/ug.po          | 220 ++++++++++---------
 po/uk.po          | 250 +++++++++++-----------
 po/ur.po          | 220 ++++++++++---------
 po/ur_PK.po       | 220 ++++++++++---------
 po/uz.po          | 226 ++++++++++----------
 po/vi.po          | 257 +++++++++++------------
 po/wa.po          | 220 ++++++++++---------
 po/xh.po          | 220 ++++++++++---------
 po/yi.po          | 220 ++++++++++---------
 po/yo.po          | 220 ++++++++++---------
 po/zh_CN.po       | 250 +++++++++++-----------
 po/zh_HK.po       | 220 ++++++++++---------
 po/zh_TW.po       | 244 +++++++++++----------
 po/zu.po          | 220 ++++++++++---------
 138 files changed, 15734 insertions(+), 15903 deletions(-)

commit 65da9ba475108c3e86e148680b080fc176282619
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 10:19:11 2021 +0200

    tx: update resource

 mate-session-manager.pot | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit aa0a9e16dc709300ca2ef03cbd40db7f3d78d0df
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 10:12:44 2021 +0200

    travis-Ci: use libera.chat as notification server

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 48a02bdfe494a6e85e55822536caac53abb4ee14
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 22 22:36:47 2021 +0200

    tx: update resource

 mate-session-manager.pot | 194 ++++++++++++++++++++++++-----------------------
 1 file changed, 99 insertions(+), 95 deletions(-)

commit 0362552452b416bd06cda9f9d6c01c461c2acb7b
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 22 22:29:55 2021 +0200

    update copyright to 2021

 capplet/gsm-app-dialog.c                           | 1 +
 capplet/gsm-app-dialog.h                           | 1 +
 capplet/gsm-properties-dialog.c                    | 1 +
 capplet/gsm-properties-dialog.h                    | 1 +
 capplet/gsp-app-manager.c                          | 1 +
 capplet/gsp-app-manager.h                          | 1 +
 capplet/gsp-app.c                                  | 1 +
 capplet/gsp-app.h                                  | 1 +
 capplet/gsp-keyfile.c                              | 1 +
 capplet/gsp-keyfile.h                              | 1 +
 capplet/main.c                                     | 1 +
 mate-session/gs-idle-monitor.c                     | 1 +
 mate-session/gs-idle-monitor.h                     | 1 +
 mate-session/gsm-app.c                             | 1 +
 mate-session/gsm-app.h                             | 1 +
 mate-session/gsm-autostart-app.c                   | 1 +
 mate-session/gsm-autostart-app.h                   | 1 +
 mate-session/gsm-client.c                          | 1 +
 mate-session/gsm-client.h                          | 1 +
 mate-session/gsm-consolekit.c                      | 1 +
 mate-session/gsm-consolekit.h                      | 1 +
 mate-session/gsm-dbus-client.c                     | 1 +
 mate-session/gsm-dbus-client.h                     | 1 +
 mate-session/gsm-inhibit-dialog.c                  | 1 +
 mate-session/gsm-inhibit-dialog.h                  | 1 +
 mate-session/gsm-inhibitor.c                       | 1 +
 mate-session/gsm-inhibitor.h                       | 1 +
 mate-session/gsm-logout-dialog.c                   | 1 +
 mate-session/gsm-logout-dialog.h                   | 1 +
 mate-session/gsm-manager.c                         | 1 +
 mate-session/gsm-manager.h                         | 1 +
 mate-session/gsm-presence.c                        | 1 +
 mate-session/gsm-presence.h                        | 1 +
 mate-session/gsm-session-save.c                    | 1 +
 mate-session/gsm-session-save.h                    | 1 +
 mate-session/gsm-store.c                           | 1 +
 mate-session/gsm-store.h                           | 1 +
 mate-session/gsm-systemd.c                         | 1 +
 mate-session/gsm-systemd.h                         | 1 +
 mate-session/gsm-util.c                            | 1 +
 mate-session/gsm-util.h                            | 1 +
 mate-session/gsm-xsmp-client.c                     | 1 +
 mate-session/gsm-xsmp-client.h                     | 1 +
 mate-session/gsm-xsmp-server.c                     | 1 +
 mate-session/gsm-xsmp-server.h                     | 1 +
 mate-session/main.c                                | 1 +
 mate-session/mdm-log.c                             | 1 +
 mate-session/mdm-log.h                             | 1 +
 mate-session/mdm-signal-handler.c                  | 1 +
 mate-session/mdm-signal-handler.h                  | 1 +
 mate-session/mdm.c                                 | 1 +
 mate-session/mdm.h                                 | 1 +
 mate-session/msm-gnome.c                           | 1 +
 mate-session/msm-gnome.h                           | 1 +
 mate-session/test-client-dbus.c                    | 1 +
 mate-session/test-inhibit.c                        | 1 +
 tools/mate-session-check-accelerated-common.h      | 2 +-
 tools/mate-session-check-accelerated-gl-helper.c   | 1 +
 tools/mate-session-check-accelerated-gles-helper.c | 1 +
 tools/mate-session-check-accelerated.c             | 1 +
 tools/mate-session-inhibit.c                       | 1 +
 tools/mate-session-save.c                          | 1 +
 62 files changed, 62 insertions(+), 1 deletion(-)

commit 86a994e945403e014d4ac554e0e16ca02072ca03
Author: raveit65 <mate@raveit.de>
Date:   Sun May 30 17:00:16 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a687f27f19613dbc68e3352b079b024d19e9815
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 25 13:43:26 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f56f8cd63d330e576aeabd09a0600a8da2e02392
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Apr 19 10:00:09 2021 +0200

    Follow freedesktop guidelines to disable autorun using Hidden key

 capplet/gsm-properties-dialog.c  |  9 +++----
 capplet/gsp-app.c                | 53 ++++++++--------------------------------
 capplet/gsp-app.h                |  5 ++--
 capplet/gsp-keyfile.h            |  1 -
 mate-session/gsm-autostart-app.c | 10 --------
 mate-session/gsm-autostart-app.h |  1 -
 6 files changed, 15 insertions(+), 64 deletions(-)

commit ba48852392801f0c924201e88f8a78fb7eff363c
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Apr 17 17:57:59 2021 +0200

    capplet: use a function to set the visibility of treeview rows

 capplet/gsm-properties-dialog.c | 113 ++++++++++++++++++++++------------------
 1 file changed, 62 insertions(+), 51 deletions(-)

commit 48dbe56bcc8b2829a9b480fc305ccb81e40177ea
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Apr 21 12:22:27 2021 +0200

    Look for the location of the locking screen app using user's PATH

 mate-session/gsm-inhibit-dialog.c | 3 ++-
 mate-session/gsm-manager.c        | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 0168fda83f69bc788949fd75613611f77afe37a3
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Apr 18 11:00:23 2021 +0200

    capplet: memory leak

 capplet/gsm-properties-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7ab072c272f65f460cb6665f190cd157d01ce7c3
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 18 13:26:38 2021 +0200

    Fix building Serbian translation
    
    - fixes https://github.com/mate-desktop/mate-session-manager/issues/258

 po/LINGUAS |   3 +-
 po/sr.po   | 123 ++++++++++++++++++++++++++++---------------------------------
 2 files changed, 58 insertions(+), 68 deletions(-)

commit dcdc9927e3d0b7c3a3475c043693f5c3a933fba3
Author: raveit65 <mate@raveit.de>
Date:   Tue Mar 9 22:52:31 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 11 -----------
 1 file changed, 11 deletions(-)

commit 12b46b693195ea9d8e00d76a173a1c38b1da325c
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Feb 22 14:13:03 2021 +0100

    mate-session-check-accelerated-common: missing include guard

 tools/mate-session-check-accelerated-common.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 5fcce5694813f59f4c9508d396a6893d5d75809e
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 4 11:19:12 2021 +0100

    capplet: i18n parameter_string argument of gtk_init_with_args

 capplet/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d105267f775b4371a670f016c9fbce7e81b2632a
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 18 10:59:50 2021 +0100

    build: allow users to disable gettext support (--disable-nls)

 Makefile.am                  | 6 +++++-
 capplet/gsm-app-dialog.c     | 2 ++
 capplet/main.c               | 2 ++
 configure.ac                 | 5 ++++-
 data/Makefile.am             | 4 ++++
 mate-session/main.c          | 3 ++-
 po/POTFILES.in               | 2 +-
 tools/mate-session-inhibit.c | 4 ++++
 tools/mate-session-save.c    | 2 ++
 9 files changed, 26 insertions(+), 4 deletions(-)

commit 036594c5542272f719994a62a4663fce998e26f2
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 23:04:09 2021 +0100

    tx: temporarily disable build for ArchLinux

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21bf4592f79d7bac8d81bb1a0dfb936149244675
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jan 25 22:42:54 2021 +0100

    build: set GETTEXT_PACKAGE=AC_PACKAGE_NAME

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 071933646ef80fff6295b581376d018ba8ddc39a
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jan 18 21:39:36 2021 +0100

    Support xscreensaver when mate-screensaver is not available

 mate-session/gsm-inhibit-dialog.c | 23 +++++++++++++++++------
 mate-session/gsm-manager.c        | 36 ++++++++++++++++++++++++------------
 mate-session/gsm-util.c           | 27 +++++++++++++++++++++++++++
 mate-session/gsm-util.h           |  2 ++
 4 files changed, 70 insertions(+), 18 deletions(-)

commit dfcbc043483a1f94e5da312629351e52d3d5b3cd
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Dec 20 22:27:41 2020 +0100

    Remove warning -Wshadow

 capplet/gsp-app-manager.c      |  4 ++--
 mate-session/gsm-manager.c     | 10 +++++-----
 mate-session/gsm-xsmp-server.c |  6 +++---
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 6398deed1db939a3bd5ae654603b5176925864af
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 8 17:36:37 2020 +0100

    update issue template

 .github/issue_template.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d42910fa21925ef571de69d2158b367e01a4f6d5
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 16 08:53:00 2020 +0100

    Remove USE_MATE2_MACROS from autogen.sh (legacy)

 autogen.sh | 1 -
 1 file changed, 1 deletion(-)

commit 1e97d140905dadb53d6839b32231ce2d2ccde85b
Author: raveit65 <mate@raveit.de>
Date:   Wed Nov 4 02:31:10 2020 +0100

    Travis CI: use `rolling` tag for ubuntu

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5460c692b1277c36847523e43b8ee8c19351ea22
Author: raveit65 <mate@raveit.de>
Date:   Wed Nov 4 02:24:47 2020 +0100

    travis CI: use pango-devel as build requires

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbd99d0919e12fdef30cb79b1f6753f0b5f2f5c2
Author: Pablo Barciela <scow@riseup.net>
Date:   Fri Jul 24 09:23:43 2020 +0200

    Travis CI: enable irc notifications with tagged commits

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf62c04533490f48cccab22f4c21b2a70ca00577
Author: raveit65 <mate@raveit.de>
Date:   Thu Jul 9 12:47:08 2020 +0200

    release 1.25.0

 NEWS         | 16 ++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 17 insertions(+), 1 deletion(-)

commit bf8625dc7c13dccb15fac377419c0a7e433da4ba
Author: raveit65 <mate@raveit.de>
Date:   Thu Jul 9 12:41:31 2020 +0200

    Build: disable Serbian translations to fix building

 po/LINGUAS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ec7331b17fc2c7074146407271a70517029de6a4
Author: raveit65 <mate@raveit.de>
Date:   Thu Jul 9 12:34:13 2020 +0200

    sync with transifex

 po/ast.po   |   2 +-
 po/ca.po    |  10 +++---
 po/cs.po    |  22 ++++++------
 po/el.po    |  21 ++++++-----
 po/eo.po    |  10 +++---
 po/es.po    |   6 ++--
 po/fa.po    |   2 +-
 po/fr.po    |  19 +++++-----
 po/hu.po    |   4 +--
 po/hy.po    |   5 +--
 po/ia.po    |   5 +--
 po/id.po    |  24 +++++++------
 po/ie.po    |   4 +--
 po/it.po    |  74 +++++++++++++++++++-------------------
 po/ja.po    |   7 ++--
 po/kab.po   |  22 ++++++------
 po/ky.po    |   4 +--
 po/lt.po    |  18 +++++-----
 po/lv.po    |   2 +-
 po/nb.po    |   8 ++---
 po/nds.po   |   6 ++--
 po/nl.po    |   2 +-
 po/nn.po    |   2 +-
 po/oc.po    | 118 ++++++++++++++++++++++++++++++++----------------------------
 po/pt.po    |  13 +++----
 po/pt_BR.po |   2 +-
 po/ro.po    |   2 +-
 po/ru.po    |  25 +++++++------
 po/sk.po    |  10 +++---
 po/sl.po    |  28 +++++++--------
 po/sr.po    |  36 ++++++++++---------
 po/sv.po    |   2 +-
 po/ug.po    |   6 ++--
 po/zh_CN.po |   4 +--
 34 files changed, 278 insertions(+), 247 deletions(-)

commit 683e863e34b0aa5bf3c37c2e1004574f1c906c90
Author: raveit65 <mate@raveit.de>
Date:   Thu Jul 9 12:15:56 2020 +0200

    update resource for transifex

 mate-session-manager.pot | 107 ++++++++++++++++++++++-------------------------
 1 file changed, 49 insertions(+), 58 deletions(-)

commit 664da9f7319f0efac09ec192332ed75051686941
Author: tamplan <tamplan@free.fr>
Date:   Wed Jun 24 20:28:56 2020 +0200

    Change some icons by other always available

 mate-session/gsm-logout-dialog.c | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit bbaf3726fd86d681c4caf7af7946ab96c892a162
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jun 29 13:46:37 2020 +0200

    gsm-properties-dialog: Refactor notebook scroll event

 capplet/gsm-properties-dialog.c | 105 ++++++++++++++++++++++------------------
 1 file changed, 59 insertions(+), 46 deletions(-)

commit 7d17b180ab97a67787d445769254f2f2af5e2302
Author: tamplan <tamplan@free.fr>
Date:   Sun Jun 28 15:02:32 2020 +0200

    Update compilation instructions

 README | 5 +++++
 1 file changed, 5 insertions(+)

commit 26ced0be364ed3be106cfe0081502123ce2759fc
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jun 21 12:30:27 2020 +0200

    Using #include with system libraries

 capplet/gsp-keyfile.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6edaa13bf6a65dd868555b0b26147ab0867b8921
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Jun 22 22:11:59 2020 +0000

    [ci] fix release tarball on travis CI failed

 .travis.yml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 366c2fffb6bb8572d58fe6cc23c8773898838e59
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Wed Jun 17 16:49:45 2020 +0800

    use libegg submodule

 .gitmodules               |    4 +
 Makefile.am               |    2 +-
 configure.ac              |    5 +-
 egg/Makefile.am           |   52 --
 egg/eggdesktopfile.c      | 1500 ---------------------------------------------
 egg/eggdesktopfile.h      |  167 -----
 egg/eggsmclient-private.h |   68 --
 egg/eggsmclient-xsmp.c    | 1364 -----------------------------------------
 egg/eggsmclient.c         |  586 ------------------
 egg/eggsmclient.h         |  100 ---
 mate-session/Makefile.am  |    4 +-
 mate-submodules           |    1 +
 po/POTFILES.in            |    4 +-
 13 files changed, 13 insertions(+), 3844 deletions(-)

commit 7cfbb1889eb750d5f2caa3b358dedf316706d163
Author: tamplan <tamplan@free.fr>
Date:   Mon Jun 22 11:55:02 2020 +0200

    Add git.mk to generate .gitignore

 git.mk | 400 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 400 insertions(+)

commit 454dccb8138d611da9798bde106363fa9cf83e01
Author: tamplan <tamplan@free.fr>
Date:   Mon May 18 18:59:12 2020 +0200

    Add tab scrolling support for GTK3

 capplet/gsm-properties-dialog.c | 52 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit 4a62ca15be595c521f3313c20dd9d4c415970d6e
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Apr 26 04:41:59 2020 +0200

    Travis CI: deploy: key github-token is an alias for token, using token

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ea38352770686fe9a90931630f5d6802b32c945
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Apr 26 03:49:40 2020 +0200

    Travis CI: enable irc notifications with broken builds

 .travis.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 88c8edc1f3f049b2aac28d54096970fd3416d479
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Apr 26 03:48:30 2020 +0200

    Travis CI: debian build: add clang compiler

 .build.yml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 28a6d13866b121ba4ad73d4118e33c686ed3c75c
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Apr 26 03:47:09 2020 +0200

    Travis CI: debian build: add -Wsign-compare -Wunused-parameter to CFLAGS

 .build.yml                                         |  168 +
 .github/FUNDING.yml                                |    9 +
 .github/issue_template.md                          |   19 +
 .travis.yml                                        |   60 +
 .tx/config                                         |    9 +
 AUTHORS                                            |   29 +
 COPYING                                            |  339 ++
 ChangeLog                                          |    2 +
 HACKING                                            |   26 +
 Makefile.am                                        |   44 +
 NEWS                                               |  177 +
 README                                             |   34 +
 autogen.sh                                         |   25 +
 capplet/Makefile.am                                |   29 +
 capplet/gsm-app-dialog.c                           |  601 +++
 capplet/gsm-app-dialog.h                           |   50 +
 capplet/gsm-properties-dialog.c                    |  810 ++++
 capplet/gsm-properties-dialog.h                    |   38 +
 capplet/gsp-app-manager.c                          |  620 +++
 capplet/gsp-app-manager.h                          |   63 +
 capplet/gsp-app.c                                  | 1233 ++++++
 capplet/gsp-app.h                                  |   91 +
 capplet/gsp-keyfile.c                              |  149 +
 capplet/gsp-keyfile.h                              |   72 +
 capplet/main.c                                     |   97 +
 configure.ac                                       |  378 ++
 data/Makefile.am                                   |   46 +
 data/gsm-inhibit-dialog.ui                         |   60 +
 data/hardware-compatibility                        |   32 +
 data/icons/16x16/apps/mate-session-properties.png  |  Bin 0 -> 595 bytes
 data/icons/16x16/apps/mate-session-properties.svg  |  394 ++
 data/icons/22x22/apps/mate-session-properties.png  |  Bin 0 -> 754 bytes
 data/icons/22x22/apps/mate-session-properties.svg  |  440 ++
 data/icons/24x24/apps/mate-session-properties.png  |  Bin 0 -> 784 bytes
 data/icons/32x32/apps/mate-session-properties.png  |  Bin 0 -> 1109 bytes
 data/icons/32x32/apps/mate-session-properties.svg  |  490 +++
 data/icons/48x48/apps/mate-session-properties.png  |  Bin 0 -> 1839 bytes
 data/icons/Makefile.am                             |   31 +
 .../scalable/apps/mate-session-properties.svg      |  515 +++
 data/mate-session-properties.desktop.in            |   13 +
 data/mate-wm                                       |  161 +
 data/mate-wm.desktop.in                            |   10 +
 data/mate.desktop.in                               |   11 +
 data/org.mate.session.gschema.xml.in               |   73 +
 data/session-properties.ui                         |  404 ++
 doc/Makefile.am                                    |    3 +
 doc/dbus/Makefile.am                               |   48 +
 doc/dbus/config.xsl                                |    6 +
 doc/dbus/dbus-introspect-docs.dtd                  |   32 +
 doc/dbus/docbook.css                               |   78 +
 doc/dbus/mate-session.xml.in                       |   52 +
 doc/dbus/spec-to-docbook.xsl                       |  555 +++
 doc/man/Makefile.am                                |   26 +
 doc/man/mate-session-inhibit.xml                   |   92 +
 doc/man/mate-session-properties.1                  |   48 +
 doc/man/mate-session-save.1                        |   70 +
 doc/man/mate-session.1                             |   88 +
 doc/man/mate-wm.1                                  |   52 +
 egg/Makefile.am                                    |   52 +
 egg/eggdesktopfile.c                               | 1500 +++++++
 egg/eggdesktopfile.h                               |  167 +
 egg/eggsmclient-private.h                          |   68 +
 egg/eggsmclient-xsmp.c                             | 1364 +++++++
 egg/eggsmclient.c                                  |  586 +++
 egg/eggsmclient.h                                  |  100 +
 makepot                                            |    6 +
 mate-session-manager.pot                           |  615 +++
 mate-session/Makefile.am                           |  144 +
 mate-session/README                                |   65 +
 mate-session/gs-idle-monitor.c                     |  500 +++
 mate-session/gs-idle-monitor.h                     |   52 +
 mate-session/gsm-app.c                             |  538 +++
 mate-session/gsm-app.h                             |  119 +
 mate-session/gsm-autostart-app.c                   | 1250 ++++++
 mate-session/gsm-autostart-app.h                   |   58 +
 mate-session/gsm-client.c                          |  582 +++
 mate-session/gsm-client.h                          |  154 +
 mate-session/gsm-consolekit.c                      | 1078 +++++
 mate-session/gsm-consolekit.h                      |   94 +
 mate-session/gsm-dbus-client.c                     |  694 ++++
 mate-session/gsm-dbus-client.h                     |   51 +
 mate-session/gsm-inhibit-dialog.c                  | 1120 ++++++
 mate-session/gsm-inhibit-dialog.h                  |   51 +
 mate-session/gsm-inhibitor.c                       |  601 +++
 mate-session/gsm-inhibitor.h                       |   93 +
 mate-session/gsm-logout-dialog.c                   |  536 +++
 mate-session/gsm-logout-dialog.h                   |   51 +
 mate-session/gsm-manager.c                         | 4243 ++++++++++++++++++++
 mate-session/gsm-manager.h                         |  187 +
 mate-session/gsm-marshal.list                      |    3 +
 mate-session/gsm-presence.c                        |  584 +++
 mate-session/gsm-presence.h                        |   79 +
 mate-session/gsm-session-save.c                    |  254 ++
 mate-session/gsm-session-save.h                    |   38 +
 mate-session/gsm-store.c                           |  430 ++
 mate-session/gsm-store.h                           |   83 +
 mate-session/gsm-systemd.c                         | 1022 +++++
 mate-session/gsm-systemd.h                         |   96 +
 mate-session/gsm-util.c                            |  710 ++++
 mate-session/gsm-util.h                            |   70 +
 mate-session/gsm-xsmp-client.c                     | 1417 +++++++
 mate-session/gsm-xsmp-client.h                     |   72 +
 mate-session/gsm-xsmp-server.c                     |  723 ++++
 mate-session/gsm-xsmp-server.h                     |   39 +
 mate-session/main.c                                |  795 ++++
 mate-session/mdm-log.c                             |  206 +
 mate-session/mdm-log.h                             |   55 +
 mate-session/mdm-signal-handler.c                  |  549 +++
 mate-session/mdm-signal-handler.h                  |   47 +
 mate-session/mdm.c                                 |  496 +++
 mate-session/mdm.h                                 |   58 +
 mate-session/msm-gnome.c                           |  197 +
 mate-session/msm-gnome.h                           |   30 +
 mate-session/org.gnome.SessionManager.App.xml      |   43 +
 mate-session/org.gnome.SessionManager.Client.xml   |   73 +
 .../org.gnome.SessionManager.ClientPrivate.xml     |  123 +
 .../org.gnome.SessionManager.Inhibitor.xml         |   66 +
 mate-session/org.gnome.SessionManager.Presence.xml |   95 +
 mate-session/org.gnome.SessionManager.xml          |  419 ++
